f



[9fans] Python 2.2+ patch applied on Python 2.4.1

Hi all.

I applied Russ's Python patch on Python 2.4.1.

http://www.tip9ug.jp/who/moroo/Python-2.4.1-Plan9.tgz

Bug fix are welcome.


0
moroo (12)
6/2/2005 2:19:22 PM
comp.os.plan9 9252 articles. 2 followers. quanstro (3876) is leader. Post Follow

1 Replies
980 Views

Similar Articles

[PageSpeed] 18

> I applied Russ's Python patch on Python 2.4.1.
>
> http://www.tip9ug.jp/who/moroo/Python-2.4.1-Plan9.tgz
>

Thank you Mr. Moroo.
I have installed your patch to my grid server
co.aichi-u.ac.jp

I met one warning message:
cpp: ../Modules/sgimodule.c:8 Could not find include file <fcntl.h>
/usr/arisawa/src/Python-2.4.1-Plan9/Plan9/../Modules/sgimodule.c:16[../ 
Modules/sgimodule.c:866

but the compile has successfully finished.

I love Python.

Kenji Arisawa

0
arisawa (257)
6/9/2005 1:47:52 PM
Reply:

Similar Artilces:

Does 4/2/2= (4/2)/2 =1 OR = 4/(2/2)=4
I don't have matlab and I am trying to translate some simple matlab code. Does 4/2/2 = (4/2)/2 = 1 or 4/2/2 = 4/(2/2) = 4 On 9/11/2012 9:43 AM, sarah.englander@gmail.com wrote: > I don't have matlab and I am trying to translate some simple matlab code. > > Does 4/2/2 = (4/2)/2 = 1 yes. At a given precedence level (and obviously two of the same operators are the same level) evaluation proceeds from LtoR. ....snip... <http://www.mathworks.com/help/techdoc/matlab_prog/f0-40063.html#f0-38155> -- dpb <none@non.net> wrote in message <...

MIME encoding change in Python 2.4.3 (or 2.4.2? 2.4.1?)
I have an application that processes MIME messages. It reads a message from a file, looks for a text/html and text/plain parts in it, performs some processing on these parts, and outputs the new message. Ever since I recently upgraded my Python to 2.4.3, the output messages started to come out garbled, as a block of junk characters. I traced the problem back to a few lines that were removed from the email package: The new Python no longer encodes the payload when converting the MIME message to a string. Since my program must work on several computers, each having a different version of Pyth...

wxPython 2.4.2.4 segmentation fault on (Python 2.2.2 SuSE 8.2)
Hi everything runs normally but exiting demo.py or any app we get Segmentation Fault wxPython was built from sources (as per readme.1st.txt) as latest downloaded from wxPython site while building wxGTK several errors reported as could not read from makefile.in files please assist Sanjay Minni Note that we used GTK1 i.e. compiled without the GTK2 option on SuSE 8.2 Thanks Sanjay Minni ...

Difference between Python 2.2.2 and Python 2.5
I am developing for PyS60 1.4.4 which supports Python 2.2.2 while what I know is Python 2.5 . Can you please tell me differences between the two so that I can save myself from incompatible code. On Sun, 18 Jan 2009 07:30:52 -0800, Ravi wrote: > I am developing for PyS60 1.4.4 which supports Python 2.2.2 while what I > know is Python 2.5 . > > Can you please tell me differences between the two so that I can save > myself from incompatible code. Everything new mentioned here: http://www.python.org/doc/2.5/whatsnew/whatsnew25.html http://www.python.org/doc/2.4/whatsnew/what...

Blender 2.34 and Python 2.1, 2.2, 2.3
If you can run python scripts in blender 2.3x, I'll be glad to know which versions did you install. Checking at blender.org, I found that blender 2.34 is built with python 2.3. However, I don't want to perform an installation of python 2.3 if I'm not sure that it fixes my problem (I found some people saying that this problem is fixed by downgrading from python 2.3 to 2.2, and also the freeware.sgi.com python is still at 2.1.1, so I've no idea on the best option). Before playing with a custom installation of python, I'm posting the problem here with the hope that s...

python 2.1 and 2.2
This is a multi-part message in MIME format. --------------090608080807070903010708 Content-Type: text/plain; charset=us-ascii; format=flowed Content-Transfer-Encoding: 7bit Hi, I remembered reading somewhere that Guido had demonstrated a significant speed increase from python 2.1 to python 2.2 (or something like that). Anyone knows how is the test done? Is it using pystone.py? Thanks maurice --------------090608080807070903010708 Content-Type: text/x-vcard; charset=utf-8; name="mauriceling.vcf" Content-Transfer-Encoding: 7bit Content-Disposition: attachment; filename="m...

Python 2.0 / Python 2.2
Hallo newsgroup, I have some questions concerning Python 2.2. First question: I try to port source code from Python 2.0 to Python 2.2.The following source code works with Python 2.0. If I compile it with Python 2.2, the modul "tci" is not imported. "tci" is a python module written by us. How can I change the source code to get it working with Python 2.2.? Py_Initialize(); PyStr = Py_BuildValue("s", TCIHome); PyModule = PyImport_ImportModule("sys"); PyList = PyObject_GetAttrString(PyModule, "path"); PyList_Insert(PyList, 0, PyStr); if (PyEr...

MySQLdb 1.2.2 + python 2.6.2
Hi all, Are MySQLdb 1.2.2 and python 2.6.2 compatible? I went to http://sourceforge.net/project/showfiles.php?group_id=22307, it doesn't say it is compatible or not. When trying to install MySQLdb 1.2.2 on my machine which is running python 2.6.2 and windows XP, I get this error below. I am able to install MySQLdb 1.2.2 successfully on another machine which is running python 2.5.4 and windows XP. Please help if you have any idea. C:\temp>easy_install MySQL_python-1.2.2-py2.5-win32.egg Processing MySQL_python-1.2.2-py2.5-win32.egg Removing c:\python26\lib\site-packages\MySQL_python-...

How to crash Python in 1 easy step (python 2.2.2)
I'm not sure if this is a python bug or a bug in an associated library, and I'm not even sure how to correctly report it, but here is Anytime python is accepting keyboard input, whether it's with raw_input, or sitting on the command line waiting for the user to type code, you can crash python by holding ctrl+shift and then pressing enter. This is on a RedHat 9.0 system running on an Athlon 600. Basically everything about the system is standard except for what's been updated by RedHat itself. If anyone who has the time and ability to track down this bug needs more informati...

AIX + GCC 2.95.3 - Python (2.1 or 2.2) - building the shared library (.so) for python
Hi all, (If I use standard -shared linking, during the _import python is crashing.) As seen in in AIX-NOTES there should be used ld_so_aix. But I suspect that it was prepared for standard xlC (CC) compiler. How to make it running for GCC compiler? Now I receive following error: gcc -Wl,-einitlib.a -Wl,-bE:lib.a.exp -Wl,-bI:./python.exp -Wl,-bhalt:4 -Wl,-bM: SRE -Wl,-T512 -Wl,-H512 -lm -o lib.a. -shared -Wl,-bbigtoc -L../../../../lib/pow erpc_aix_4.3_gcc -L/users/tbech/ND/Python/usr/local/lib/python2.1/config python. exp y.tab.o lex.yy.o idlerr.o idlutil.o idltype.o idlrepoId.o idlscope.o idlexpr ..o idlast.o idlvalidate.o idldump.o idlconfig.o idlfixed.o idlpython.o ld: 0711-418 ERROR: Import or export file lib.a.exp at line 10: A symbol name may only be followed by an export attribute or an address. The line is being ignored. When I remove this line 10 from lib.a.exp it is telling that several Py* functions are not exported and that entry point initlib.a not found. Additional questions: 1. Why is such nonuderstandable-ultimate-tricky solution prepared for AIX? 2. Does it work only for xlC (CC) or also for GCC? If, how to do it? 3. What is the entry point function? How I can find it in the sources? 4. Seems that makexp_aix wrongly makes exports :( Thanks in advance, Tom hab <hab@polbox.com> writes: > (If I use standard -shared linking, during the _import python is crashing.) > As seen in in AIX-NOTES there should be used ld_so_aix...

Upgrade from VO 1 - 2 - 2..1 -2.2 - 2.3 -2.4 - 2.5 - 2.6 - 2.7
About upgrade 2.5 - 2.7 at $ 384.00 For most products I'm using - the updates (2.0 - 2.1 - 2.7) are free... 2.0 to 3.0 might be worth + 10-30% of the original price? VO is + full price again & again - Full program price for every minor upgrade/bug-fix? I dropped out of the money/bugs [VO] at 2.5 after starting at 1.0 more than 10 years ago. Certainly whoever is making VO have to make a living; earning moneys: - that is OK! A 10 years old VO site; - 10 years later, how much have changed? http://www.yi.com/prany/cavo/cavofront.htm Even MS is not ...

Who is using python-ldap with Python 1.5.x and 2.0-2.2?
HI! I'd like to hear from the Python community whether support for Python version prior to 2.3 is still needed in python-ldap. Please tell me which Python version you're using and why it'd be important for you to have python-ldap updates still supporting it. BTW: Actually older Python versions are not tested with recent python-ldap since at least two years. But I'd like to clearly decide on that. Ciao, Michael. -On [20080616 15:55], Michael Ströder (michael@stroeder.com) wrote: >I'd like to hear from the Python community whether support for Python >vers...

Freeze with wxpython on python 2.3 or python 2.4 on Win32 with Thread #2
Hello i have a problem with thread and wxpython on WIN32. With this script : I would like to SetValue to my gauge widget in a thread. I can GetValue without a hitch but if I SetValue it freezing. Try following script and go to AF-Tools Menu and click install Normally in the install thread, I wrote "yo" in the console and I SetValue of the gauge passed to the thread. from wxPython.wx import * from wxPython.wizard import * from os import * #import os #import win32wnet, win32netcon #import wmi #import win32api #import _winreg import time #import win32com,win32com.client import sys...

Printing 2^1, 2^2, 2^3, 2^4 and 2^5
Hi, When I use a while loop, the output is: 2 4 8 16 32, as desired: <?php $c=1; while($c<=5) { $d = newpow(2, $c); print "$d "; $c++; } function newpow($base, $power) { // statements... } ?> The But when I use a for loop, the output is: 64: <?php for($c=1; $c<=5; $c++); { $d = newpow(2, $c); print "$d "; } function newpow($base, $power) { // statements... } ?> Why is this?? Many thanks, Michael mejpark wrote: > When I use a while loop, the output is: 2 4 8 16 32, as desired: [...] > The But when I use a for loop, the output is: 64...

2 * 2 * 2 * 2 or pow(2, 4)?
Hi , I hope this isn't too trivial to ask, but I'm evaluating a polynomial that involve lots of terms like x^2y^2z^3, and although I can use the power function pow(a, b), I wonder if just writing x*x*y*y*z*z*z for example wouldn't be more efficient than pow(x, 2)*pow(y, 2)*pow(z,3). Or is it all the same? Thanks, - Olumide Olumide wrote: > I hope this isn't too trivial to ask, but I'm evaluating a polynomial > that involve lots of terms like x^2y^2z^3, and although I can use the > power function pow(a, b), I wonder if just writing x*x*y*y*z*z*z for > exam...

[9fans] Python 2.4.2
I apply plan9 patch on Python 2.4.2. You can get it from http://www.tip9ug.jp/who/moroo/Python-2.4.2-Plan9.tgz New: xml lib added Now plan9main.c returns status. This is Mr. Arisawa's patch. Thank you. Bug fix are welcome. ...

Python 2.4.2 to 2.4.3 transition issue
OS: Windows XP + SP1 On this particular box, I hadn't moved to 2.4.3 yet. So, earlier today, I uninstalled Python2.4.2 and installed 2.4.3 using the .msi installer. It seems though everything looked great, that when I invoke 'python' from the command line, I get Python2.4.2 (as the header states), instead of 2.4.3. I looked at the registry and at the PATH variables of both system and current user, but they are just stating 'C:\Python24\'. When I explicitly call C:\Python24\python.exe though, 2.4.3 comes up. Any ideas what seems to be the problem here? Panos Laganakos...

Movable Python 1.0.0 for Python 2.3 & 2.4
It's finally happened, `Movable Python <http://www.voidspace.org.uk/python/movpy/>`_ is finally released. Versions for Python 2.3 & 2.4 are available from `The Movable Python Shop <http://voidspace.tradebit.com/groups.php>`_. The cost is =A35 per distribution, payment by PayPal. =A31 from every distribution goes to support the development of `SPE <http://pythonide.stani.be/>`_, the Python IDE. This gives you free support (via the `Movable Python Mailing List <http://groups.google.com/group/movpy>`_), and access to updates, for a year. There is a minor issue ...

Movable Python 1.0.0 for Python 2.3 & 2.4
It's finally happened, `Movable Python <http://www.voidspace.org.uk/python/movpy/>`_ is finally released. Versions for Python 2.3 & 2.4 are available from `The Movable Python Shop <http://voidspace.tradebit.com/groups.php>`_. The cost is =A35 per distribution, payment by PayPal. =A31 from every distribution goes to support the development of `SPE <http://pythonide.stani.be/>`_, the Python IDE. This gives you free support (via the `Movable Python Mailing List <http://groups.google.com/group/movpy>`_), and access to updates, for a year. There is ...

MySQL-python-1.2.1_p2, Python 2.5 and OS X Tiger
How do you install MySQL-python-1.2.1_p2 on a PPC OS X 10.4 machine with MySQL 4.1? >>> python setup.py build .... .... _mysql.c:2854: error: parse error before ')' token _mysql.c:2854: error: called object '&<erroneous-expression>' is not a function _mysql.c:2854: error: called object '&<erroneous-expression>' is not a function _mysql.c:2854: error: called object '*(&<erroneous-expression>)' is not a function lipo: can't figure out the architecture type of: /var/tmp//ccurx79n.out error: command 'gcc' failed w...

Upgrade of Xalan 1.2.2 and Xerces 1.4.4 to Xalan 2.6 and Xerces 2.6.2
I've been tasked with upgrading the JVM from 1.3 to 1.4, and the third party libraries used by my company on our existing Java framework. I'm most worried about any problems that may occur due to upgrading Xalan and Xerces as our framework performs much XML transformation and processing. Does anyone have a link to known issues with such an upgrade (besides the Xalan / Xerces sites) ? Or has anyone done such an upgrade and can share their pearls of wisdom? Thanks Chris ...

Embeding python with mingw on win32 and python 2.4.4 #2
Hi I'm bringing up an old story once more! I'm on win32 (winxp sp2) python 2.4.4. mingw gcc version is 3.4.5. msys is in c:\msys. mingw is in c:\mingw and python is in c:\pyton24. there are also python24.lib and libpython24.a in c:\python24\libs. when I try to compile this sample code [1] from msys prompt with command [2] in msys shell I get the results [3]. this subject was discussed a few times over these years and I tried everything in the posts and forums that I found and google could translate with no success. I realy need your suggestion! Regards, Mani [1] Sample code: #inc...

lxml 2.2.4 for Python 2.6
Is there any reason why lxml-2.2.4-py2.6-win32.egg (md5) or lxml-2.2.4.win32-py2.6.exe is not available? Best regards, /Srijit Hi, Srijit Kumar Bhadra wrote: > Is there any reason why lxml-2.2.4-py2.6-win32.egg (md5) or > lxml-2.2.4.win32-py2.6.exe is not available? > > Best regards, > /Srijit maybe ask on lxml Mailing List , should be more appropriated Sérgio M. B. ...

Python 2.1
I found some e-book about Python 2.1, I want to print it but just to check first if sintax of Python 2.1 is same as 2.4 ? Also does anybody know where can I download any newer Python related e-book, because there isn't any published yet in my country. "BOOGIEMAN" <BOOGIEMANPN@YAHOO.COM> wrote: >I found some e-book about Python 2.1, I want to print it but just to check > first if sintax of Python 2.1 is same as 2.4 ? almost everything that works under 2.1 works under 2.4. the opposite isn't always true, though. for more information on new stuff, see: ht...

Web resources about - [9fans] Python 2.2+ patch applied on Python 2.4.1 - comp.os.plan9

GSoC (Plan 9 wiki)
Open source distributed operating system Plan 9 from Bell Labs.

[9fans] SO for plan9?
9fans archive / 2000 / 06 / 529 prev next search terms are split using tokenize from: regexp searches From: lines subject: regexp searches Subject: ...

Blog Archive
John Floren Home - Blog 2012 12/22 - Disassembling MyVu Shades 301 Video Glasses - ( Comments ) 9/27 - Found some old RIT pictures - ( Comments ...

Nielsen research: Social media impressions in Facebook ads
AdvertisingEffectiveness: Understanding the Value of a Social Media Impression APRIL 2010 INSIDE: …

Plan 9 from User Space
quotes - docs - repo - golang - sam - man - acme - Glenda - 9times - harmful - 9P - cat-v.org Related sites: - site updates - site map - man(1) ...

9fans archive /
9fans archive / search terms are split using tokenize from: regexp searches From: lines subject: regexp searches Subject: lines before: yyyy ...

[9fans] 9pi
9fans archive / 2012 / 08 / 129 prev next search terms are split using tokenize from: regexp searches From: lines subject: regexp searches Subject: ...

Resources last updated: 2/21/2016 3:33:23 AM